list.linkedlist

## Class QueueLinkedList

- java.lang.Object
- - list.listinterface.BaseList
  - - list.linkedlist.BaseLinkedList
    - - list.linkedlist.QueueLinkedList

- All Implemented Interfaces:
    BaseListInterface, CommonBase, QueueList
  Direct Known Subclasses:
    LinkedList

      class QueueLinkedList
      extends BaseLinkedList
      implements QueueList

  Implementace frontového seznamu.

  Popis: implememtuje frontu pomocí seznamu BaseLinkedList

  Užití: instance této třídy lze používat v aplikacích

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LinkedListMember` | `last` Odkaz na poslední člen fronty.

    - ### Fields inherited from class list.linkedlist.BaseLinkedList

      `first`

    - ### Fields inherited from class list.listinterface.BaseList

      `moveCounter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueLinkedList(int aSize)` Vyrobí spojový seznam vhodný k implementaci fronty.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(Element elem)` Vloží elem za poslední prvek seznamu, běžný prvek se neposune.

    - ### Methods inherited from class list.linkedlist.BaseLinkedList

      `getElement, getSize, isEmpty, moveFirst, remove, setElement`

    - ### Methods inherited from class list.listinterface.BaseList

      `getMoveCounter, resetMoveCounter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface list.listinterface.BaseListInterface

      `getSize, moveFirst, remove`

    - ### Methods inherited from interface list.listinterface.CommonBase

      `getElement, getMoveCounter, resetMoveCounter, setElement`

- - ### Field Detail

    - #### last

          protected LinkedListMember last

      Odkaz na poslední člen fronty.

  - ### Constructor Detail

    - #### QueueLinkedList

          public QueueLinkedList(int aSize)

      Vyrobí spojový seznam vhodný k implementaci fronty.
      Parameters:
        `aSize` - kapacita seznamu

  - ### Method Detail

    - #### append

          public void append(Element elem)

      Description copied from interface: `QueueList`
      Vloží elem za poslední prvek seznamu, běžný prvek se neposune.

      Vyžaduje: not IsFull

      Specified by:
        `append` in interface `QueueList`
      Parameters:
        `elem` - nový prvek, který se má přidat na konec seznamu